%define name	memprof
%define version	0.6.2
%define release %mkrel 1
%define __libtoolize    /bin/true

Summary:	Tool for memory profiling and leak detection
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Source0:	http://people.redhat.com/~otaylor/memprof/%{name}-%{version}.tar.bz2
Source1:	memprof-icons.tar.bz2
Source2:	memprof-manpage.bz2
URL:		http://www.gnome.org/projects/memprof/
ExclusiveArch:	%{ix86}
Requires:	GConf2
BuildRequires:	libbinutils-devel, libglade2.0-devel, libgnomeui2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
MemProf is a tool for profiling memory usage and detecting memory
leaks. It can be used with existing binaries without need for
recompilation.

%prep
%setup -q

%build
%configure2_5x --libdir=%{_libdir}/memprof
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# man page
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Memory Profiler
Comment=Check a program for leaks and analyze its memory usage
Exec=%{name}
Terminal=0
Type=Application
Icon=%{name}
Categories=Development;X-MandrivaLinux-MoreApplications-Development-Tools;
X-Desktop-File-Install-Version=0.11
EOF


# mdk icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}/

# move
mkdir -p $RPM_BUILD_ROOT%{_libdir}/memprof
mv $RPM_BUILD_ROOT%{_libdir}/memprof/memprof/* $RPM_BUILD_ROOT%{_libdir}/memprof

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/memprof/*.{a,la}

%find_lang %{name}

%post
%update_menus


%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS ChangeLog 
%{_mandir}/man1/%{name}.1*
%{_bindir}/*
%{_libdir}/memprof
%{_datadir}/applications/memprof.desktop
%{_datadir}/pixmaps/memprof.png
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Feb 22 2010 slick50 <lxgator@gmail.com> 0.6.2-1pclos2010
- 0.6.2

* Wed Jun 27 2007 Texstar <texstar@gmail.com> 0.6-3pclos2007
- fix desktop file

* Thu Nov 09 2006 Texstar <texstar@houston.rr.com> 0.6-2pclos2007
- Build for PCLinuxOS 2007

